#!/bin/bash
#------------------------------------------------------------------------------
# /var/install/dialog.d/TEAMSPEAK3_CHOOSE_LOGROTATE_INTERVAL_CUI.sh
# - script dialog for ece to choose a database
#
# Creation:     2010-02-15 christian
# Last update:  $Id: TEAMSPEAK3_CHOOSE_LOGROTATE_INTERVAL_CUI.sh 36 2010-08-04 11:05:25Z root $
#
# Copyright (c) 2010 Christian Richter, richterch(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="daily,weekly,monthly"

    ece_select_list_dlg "$win" "Choose interval to use" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
